<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>合同管理</title>
    <meta name="decorator" content="default"/>
    <%--<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>--%>
    <%@include file="/webpage/include/treetable.jsp" %>
    <script type="text/javascript">
        var validateForm;
        $(document).ready(function() {
            validateForm = $("#inputForm").validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                rules:{
                    number:{
                        required:true
                    },
                    businessType:{
                        required:true
                    }
                },
                messages:{
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            // $("#treeTable").treeTable({expandLevel : 1,column:1}).show();

            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow2);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow2);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });

            laydate.render({
                elem: '#beginContractDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            laydate.render({
                elem: '#endContractDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
        });


        function contractOpenDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                content: url ,
                skin:"three-btns",
                btn: ['送审','暂存','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });

        }

        function contractOpenDialogres(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                content: url ,
                skin:"three-btns",
                btn: ['送审','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn3: function(index){
                }
            });

        }
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                skin:"three-btns",
                content: url ,
                btn: ['送审','暂存','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(3) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });

        }
    </script>
    <script type="text/javascript">

        function openDialogreReapply(title,url,width,height,target) {
            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                skin:"two-btns",
                content: url,
                btn: ['送审', /*'撤回',*/ '关闭'],
                btn1: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var formId = inputForm.attr("id");
                    if(formId){
                        var $document = iframeWin.contentWindow.document;
                        $document.getElementById(formId).setAttribute("action","${ctx}/workcontractinfo/workContractInfo/invalidateContractSaveAudit?reapply=yes");
                        formSubmit($document,formId,index);
                    }
                },
                /*btn2: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var formId = inputForm.attr("id");
                    if(formId){
                        var $document = iframeWin.contentWindow.document;
                        $document.getElementById(formId).setAttribute("action","${ctx}/workcontractinfo/workContractInfo/invalidateContractSaveAudit?reapply=no");
                        formSubmit($document,formId,index);
                    }
                    return false;
                },*/
                btn3: function (index) {
                }
            });
        }
        function formSubmit($document,inputForm,index){
            var validateForm = $($document.getElementById(inputForm)).validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $($document.getElementById("#messageBox")).text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            if(validateForm.form()){
                var loadingMessage = parent.layer.load(0, {shade: [0.1,'#393d49']});
                $($document.getElementById(inputForm)).ajaxSubmit({
                    success:function(data) {
                        top.layer.close(index);
                        parent.layer.msg("保存成功！！！",{icon:6});
                        parent.layer.close(loadingMessage);
                        window.location.reload();
                    }
                });
            }
        }

    </script>
    <script type="text/javascript">
        function contractInvalidateForm(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                skin:"two-btns",
                content: url ,
                btn: ['送审','关闭'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var formId = inputForm.attr("id");
                    if(formId){
                        var $document = iframeWin.contentWindow.document;
                        formSubmit($document,formId,index);
                    }
                },
                cancel: function(index){
                }
            });
        }
    </script>
    <style>
        body{
            background-color:transparent;
            filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
            color:#ffffff;
            background-color:rgba(255,255,255,0);
            height:100%;
        }
    </style>
</head>
<body >
<div class="wrapper wrapper-content">
    <sys:message content="${message}"/>
    <div class="layui-row">
        <div class="full-width fl">
            <div class="list-form-tab contentShadow shadowLTR" id="tabDiv">
                <ul class="list-tabs" >
                    <li ><a href="${ctx}/workcontractinfo/workContractInfo/list">合同管理</a></li>
                    <li class="active"><a href="${ctx}/workcontractinfoalter/workContractInfoAlter/alterLists">合同变更</a></li>
                    <li><a href="${ctx}/workcontractinfoi/workContractInfoI/ilist">合同作废</a></li>
                    <li><a href="${ctx}/workcontractsignature/workContractSignature/list">合同签章</a></li>
                    <li><a href="${ctx}/workcontractrecord/workContractRecord/list">合同归档</a></li>
                </ul>
            </div>
        </div>
        <div class="full-width fl">
            <div class="layui-row contentShadow shadowLR" id="queryDiv">
                <form:form id="searchForm" modelAttribute="workContractInfo" action="${ctx}/workcontractinfoalter/workContractInfoAlter/alterLists" method="post" class="form-inline">
                    <input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
                    <input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
                    <table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
                    <div class="commonQuery  lw7">
                        <div class="layui-item query athird ">
                            <label class="layui-form-label">客户名称：</label>
                            <div class="layui-input-block with-icon">
                                <form:input path="client.name" htmlEscape="false" maxlength="255"  class=" form-control layui-input"/>
                            </div>
                        </div>
                        <div class="layui-item query athird">
                            <label class="layui-form-label">合同名称：</label>
                            <div class="layui-input-block with-icon">
                                <form:input path="name" htmlEscape="false" maxlength="255"  class=" form-control layui-input"/>
                            </div>
                        </div>


                        <div class="layui-item athird">
                            <div class="input-group">
                                <a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
                                <button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
                                <button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
                            </div>
                        </div>
                        <div style="    clear:both;"></div>
                    </div>
                    <div id="moresees" class="lw7" style="clear:both;display:none;height: 70px;">
                        <div class="layui-item query athird">
                            <label class="layui-form-label">签订日期：</label>
                            <div class="layui-input-block">
                                <input id="beginContractDate" name="beginContractDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                       value="<fmt:formatDate value="${workContractInfo.beginContractDate}" pattern="yyyy-MM-dd"/>"/>
                                </input>
                                <span class="group-sep">-</span>
                                <input id="endContractDate" name="endContractDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                       value="<fmt:formatDate value="${workContractInfo.endContractDate}" pattern="yyyy-MM-dd"/>"/>
                                </input>
                            </div>
                        </div>

                        <div class="layui-item query athird" >
                            <label class="layui-form-label double-line">合同金额(元)_预计金额：</label>
                            <div class="layui-input-block with-icon">
                                <form:input path="contractPrice" htmlEscape="false" maxlength="255"  class=" form-control layui-input"/>
                            </div>
                        </div>
                        <div class="layui-item query athird">
                            <label class="layui-form-label">合同状态：</label>
                            <div class="layui-input-block with-icon">
                                <form:select path="contractState"  class="form-control simple-select">
                                    <form:option value="" label=""/>
                                    <form:options items="${fns:getDictList('audit_completion_state')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
                                </form:select>
                            </div>
                        </div>
                    </div>
                </form:form>
            </div>
        </div>
        <div class="full-width fl">
            <div class="layui-form contentDetails contentShadow shadowLBR">
                <div class="nav-btns">
                    <button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>

                    <div style="clear: both;"></div>
                </div>
                <table class="oa-table layui-table" id="contentTable1"></table>

                <!-- 分页代码 -->
                <table:page page="${page}"></table:page>
                <div style="clear: both;"></div>
            </div>
        </div>
    </div>
    <div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable1'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'contractNum',align:'center', sort:true,title: '合同编号',minWidth:160,templet:function(d){
                        return "<span title='"+ d.contractNum +"'>" + d.contractNum + "</span>";
                    }}
                ,{field:'contractName',align:'center', title: '合同名称',minWidth:160,templet:function(d){
                    return "<a class=\"attention-info\" title=\"" + d.contractName +"\" href=\"javascript:void(0);\" onclick=\"openDialogView('查看合同管理', '${ctx}/workcontractinfo/workContractInfo/lookForma?id=" + d.id + "','95%', '95%')\">" + d.contractName + "</a>";
                    /*return "<a class=\"attention-info\" href=\"#\" onclick=\"openDialogView('查看合同管理', '${ctx}/workcontractinfo/workContractInfo/lookFormaEnd?id=" + d.id + "','95%', '95%')\">" + d.contractName + "</a>";*/
                }}
                ,{field:'clientName',align:'center', title: '客户名称',minWidth:160,templet:function(d){
                        return "<a class=\"attention-info\" title=\"" + d.clientName + "\" href=\"javascript:void(0);\" onclick=\"openDialogView('查看客户管理', '${ctx}/workclientinfo/workClientInfo/detail?id=" + d.clientId +"','95%', '95%')\">" + d.clientName + "</a>";
                    }}
                ,{field:'clientType', align:'center',title: '工程分类', width:90,templet:function(d){
                        return "<span title='"+ d.clientType +"'>" + d.clientType + "</span>";
                    }}
                ,{field:'contractPrice', align:'center',sort:true,title: '合同金额(元)',width:100,templet:function(d){
                        return "<span title='"+ d.contractPrice2 +"'>" + d.contractPrice2 + "</span>";
                    }}
                ,{field:'alterDate',align:'center', sort:true,title: '变更日期',  width:80}
                ,{field:'alterBy',align:'center', title: '变更人',  width:80,templet:function(d){
                        return "<span title='"+ d.alterBy +"'>" + d.alterBy + "</span>";
                    }}
                ,{align:'center', title: '状态',  width:70,templet:function(d){
                        <%--var st = getAuditChangeState(d.status)--%>
                        <%--var xml = "<span onclick=\"openDialogView('流程追踪', '${ctx}/workcontractinfo/workContractInfo/getProcess?id=" + d.id + "&auditType=合同变更','95%','95%')\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";--%>
                        <%--return xml;--%>
                        var st = getAuditChangeState(d.status);
                        if(st.action)
                            var xml = "<span onclick=\"openDialogView('流程追踪', '${ctx}/workcontractinfo/workContractInfo/getProcess?id=" + d.id + "&auditType=合同变更','95%','95%')\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
                        else
                            var xml = "<span style=\"cursor:default;\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
                        return xml;
                    }}
                ,{align:'center',title:"操作",width:130,templet:function(d){
                        ////对操作进行初始化
                        var xml="";
                        if(d.canedit != undefined && d.canedit =="1")
                        {
                            xml +="<a href=\"javascript:void(0)\" onclick=\"contractOpenDialogre('修改合同管理', '${ctx}/workcontractinfo/workContractInfo/alterforms?id=" + d.id + "','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                        }
                        if(d.canedits != undefined && d.canedits =="1")
                        {
                            xml +="<a href=\"javascript:void(0)\" onclick=\"contractOpenDialogres('修改合同管理', '${ctx}/workcontractinfo/workContractInfo/alterforms?id=" + d.id + "','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                        }
                        if(d.candelete != undefined && d.candelete =="1")
                        {
                            xml += "<a href=\"${ctx}/workcontractinfo/workContractInfo/alterdelete?id=" + d.id + "\" onclick=\"return confirmx('确认要删除该变更记录吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                        }
                        /*if(d.cancancel != undefined && d.cancancel =="1")
                        {
                            xml += "<a href=\"{ctx}/workcontractinfo/workContractInfo/revoke?id="+ d.id +"&processInstanceId="+ d.processInstanceId +"\" onclick=\"return confirmx('确认要撤回该合同管理吗？', this.href)\" class=\"op-btn op-btn-cancel\" ><i class=\"glyphicon glyphicon-share-alt\"></i> 撤回</a>";
                        }*/
                       /* if(d.canalert != undefined && d.canalert =="1")
                        {
                            xml += "<a href=\"javascript:void(0)\" onclick=\"contractOpenDialogre('变更合同管理', '{ctx}/workcontractinfo/workContractInfo/alterForm?id="+ d.id +"','95%','95%')\" class=\"op-btn op-btn-revert\" ><i class=\"fa fa-edit\"></i> 变更</a>";
                        }*/
                        if(d.canaltercancel != undefined && d.canaltercancel =="1")
                        {
                            xml += "<a href=\"${ctx}/workcontractinfo/workContractInfo/revokealter?id="+ d.id +"&processInstanceId="+ d.processInstanceId +"\" onclick=\"return confirmx('确认要撤回该合同管理吗？', this.href)\" class=\"op-btn op-btn-cancel\" ><i class=\"glyphicon glyphicon-share-alt\"></i> 撤回</a>"
                        }
                        return xml;

                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workContractInfo" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"contractNum":"${workContractInfo.contractNum}"
                    ,"id":"${workContractInfo.id}"
                    ,"contractName":"${workContractInfo.name}"
                    ,"clientId":"${workContractInfo.client.id}"
                    ,"clientName":"${workContractInfo.client.name}"
                    ,"clientType":"${fns:getMainDictLabel(workContractInfo.contractType, 'contract_type', '')}"
                    ,"contractPrice":"${workContractInfo.contractPrice}"
                    ,"contractPrice2":"<fmt:formatNumber value="${workContractInfo.contractPrice}" pattern="#,#00.00"/>"
                    ,"alterDate":"<fmt:formatDate value="${workContractInfo.updateDate}" pattern="yyyy-MM-dd"/>"
                    ,"alterBy":"${workContractInfo.createBy.name}"
                    <c:if test="${empty workContractInfo.alterState}">
                    ,"status":"5"
                    </c:if>
                    <c:if test="${not empty workContractInfo.alterState}">
                    ,"status":"${workContractInfo.alterState}"
                    </c:if>
                    ,"processInstanceId":"${workContractInfo.processInstanceId}"
                    <c:if test="${(workContractInfo.alterState == 1) && fns:getUser().id == workContractInfo.createBy.id}">,"canedit":"1"</c:if>
                    <c:if test="${(workContractInfo.alterState == 3 or workContractInfo.alterState == 4 ) && fns:getUser().id == workContractInfo.createBy.id}">,"canedits":"1"</c:if>
                    <c:if test="${(workContractInfo.alterState == 3 or workContractInfo.alterState == 4 or workContractInfo.alterState == 1) && fns:getUser().id == workContractInfo.createBy.id}">,"candelete":"1"</c:if>
                    <c:if test="${workContractInfo.contractState == 2 && fns:getUser().id == workContractInfo.createBy.id}">,"cancancel":"1"</c:if>
                    <c:if test="${workContractInfo.contractState == 5}">,"canalert":"1"</c:if>
                    <c:if test="${workContractInfo.alterState == 2 && fns:getUser().id == workContractInfo.createBy.id}">,"canaltercancel":"1"</c:if>
                }
                </c:forEach>
                </c:if>
            ]
        });

    })
    resizeListTable();
</script>
<script>
    resizeListWindow2();
    $(window).resize(function(){
        resizeListWindow2();
    });
</script>

</body>
</html>